import * as cdk from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { IComplianceBucketConfig } from '../../resource-providers';
/**
 * Properties for the ComplianceLogBucketStack.
 */
export interface ComplianceLogBucketStackProps extends cdk.StackProps {
    /**
     * The name of the compliance log bucket to be created.
     */
    readonly complianceLogBucketName: string;
}
/**
 * Stack for creating a compliance log bucket.
 * Implements the IComplianceBucketConfig interface to provide the bucket name.
 */
export declare class ComplianceLogBucketStack extends cdk.Stack implements IComplianceBucketConfig {
    /**
     * The name of the bucket created by this stack.
     */
    readonly bucketName: string;
    /**
     * Constructs a new instance of the ComplianceLogBucketStack.
     *
     * @param scope The scope in which to define this construct.
     * @param id The unique identifier for this construct.
     * @param props The properties for the ComplianceLogBucketStack.
     */
    constructor(scope: Construct, id: string, props: ComplianceLogBucketStackProps);
}
